Subject: bug#54961: 28.1; info-display-manual completions issues

From: Eli Zaretskii <[email-masked]>
Date: Tue, 19 Apr 2022 08:35:55 +0300

> From: Howard Melman <[email-masked]>
> Date: Mon, 18 Apr 2022 17:28:49 -0400
> Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
> 
> On Apr 18, 2022, at 3:02 PM, Juri Linkov <[email-masked]> wrote:
> > 
> > The problem is that authors of these packages are using
> > 
> >  @dircategory Emacs
> > 
> > instead of the correct
> > 
> >  @dircategory Emacs misc features
> > 
> > that would put their manuals below Emacs and Elisp.
> 
> Am I supposed to see these section headings in the Info dir?

Depends on how are the Info files installed.  If they are installed by
running the install-info command, then yes, these sections should be
in DIR.

> I see various section headings for other manuals installed in
> /usr/local/share/info but not for the ones in the Emacs provided
> dir file.

I don't understand: the DIR file that comes with Emacs already has
sections in it.

> This is vanilla Emacs 28 -Q on a mac.  The top is the Info
> dir right after starting Emacs and the bottom is the contents of
> /Applications/GnuEmacs.app/Contents/Resources/info/dir.

Seems like you have more than one DIR file (which is completely
normal).

> I can open another bug if this gets involved.

I don't see any bug here yet.